%define		subver	2
Summary:	FDD 3000 emulator
Name:		fdd3000e
Version:	0.1.6a
Release:	2
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/fdd3000e/%{name}_v%{version}-%{subver}.zip
# Source0-md5:	bf1d20cb68cc116dd9aa880676877ef8
Patch0:		z80ex.patch
Patch1:		tr.patch
URL:		http://fdd3000e.sourceforge.net/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	qt4-qmake
BuildRequires:	unzip
BuildRequires:	z80ex-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FDD3000 Emulator is an emulator of Timex FDD3000 floppy system
for ZX Spectrum. The current version is the alpha version
of the emulator (for testing). It requires patched fuse emulator.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
cd fdd3000
qmake-qt4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}}

install fdd3000/fdd3000 $RPM_BUILD_ROOT%{_bindir}
install fdd3000/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc fdd3000/disk.img README README_pl
%attr(755,root,root) %{_bindir}/fdd3000
%{_datadir}/%{name}
%changelog
* Mon Mar 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fdd3000e.git;a=log;h=master

* Fri Feb 28 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 46a27c7
- added tr.patch
- new archive
- packaged Polish translation
- rel 2

* Fri Feb 28 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 208736c
- search for translations in /usr/share/fdd3000e

* Tue Feb 18 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 01f67bc
- new archive

* Tue Feb 18 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d359e71
- FDD 3000 emulation for the fuse emulator.

* Tue Feb 18 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 73a4681
- dynamic z80ex

